Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2019-11455

Published: 22 April 2019

A buffer over-read in Util_urlDecode in util.c in Tildeslash Monit before 5.25.3 allows a remote authenticated attacker to retrieve the contents of adjacent memory via manipulation of GET or POST parameters. The attacker can also cause a denial of service (application outage).

From the Ubuntu Security Team

Zack Flack discovered a buffer overread when Monit decoded certain crafted URLs. An attacker could exploit this to leak potentially sensitive information.

Priority

Medium

Cvss 3 Severity Score

8.1

Score breakdown

Status

Package Release Status
monit
Launchpad, Ubuntu, Debian
hirsute Not vulnerable
(1:5.25.3-1)
xenial
Released (1:5.16-2ubuntu0.2+esm1)
Available with Ubuntu Pro
jammy Not vulnerable
(1:5.25.3-1)
trusty
Released (1:5.6-2ubuntu0.1+esm2)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
bionic
Released (1:5.25.1-1ubuntu0.1~esm1)
Available with Ubuntu Pro
cosmic
Released (1:5.25.2-1ubuntu0.1)
disco
Released (1:5.25.2-3ubuntu0.1)
eoan Ignored
(end of life)
focal Not vulnerable
(1:5.25.3-1)
groovy Not vulnerable
(1:5.25.3-1)
impish Not vulnerable
(1:5.25.3-1)
kinetic Not vulnerable
(1:5.25.3-1)
upstream Needed

lunar Not vulnerable
(1:5.25.3-1)

Severity score breakdown

Parameter Value
Base score 8.1
Attack vector Network
Attack complexity Low
Privileges required Low
User interaction None
Scope Unchanged
Confidentiality High
Integrity impact None
Availability impact High
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:H